'use strict';

const gulp = require('gulp');
const config = require('../config');

gulp.task('watch', ['browser-sync'], function() {
    gulp.watch(config.styles.src, ['sass']);

    if (config.uiFramework === 'angular') {
        gulp.watch(config.html.src, ['html']);
        gulp.watch(config.partials.src, ['partials']);
    }
});