'use strict';

// VENDOR LIBS
const gulp = require('gulp');
const runSequence = require('run-sequence');
const config = require('../config');

gulp.task('default', ['clean'], function(cb) {
    let uiTasks = ['sass', 'html', 'images', 'js-build', 'fonts', 'copy-icons'];

    if (config.uiFramework === 'angular') {
        uiTasks.splice(2, 0, 'partials');
    }

    global.production = false;

    return runSequence(uiTasks, 'watch', cb);
});