'use strict';

// VENDOR LIBS
const browserSync = require('browser-sync');
const config = require('../config');
const gulp = require('gulp');
const gulpif = require('gulp-if');
const path = require('path');

gulp.task('html', function () {
    let src = path.join(config.builderPath, 'helpers/index.html');

    if (config.uiFramework === 'angular') {
        src = config.html.src;
    }

    return gulp.src(src).pipe(gulp.dest(config.dist)).pipe(gulpif(config.sync, browserSync.reload({stream: true})));
});