// VENDOR LIBS
const browserSync = require('browser-sync');
const config = require('../config');
const gulp = require('gulp');
const gulpif = require('gulp-if');
const path = require('path');

gulp.task('partials', function () {
    return gulp.src(path.join(config.root, config.partials.src))
        .pipe(gulp.dest(path.join(config.dist, config.partials.dest)))
        .pipe(gulpif(config.sync, browserSync.reload({stream: true})));
});